diff --git a/docs/Makefile b/docs/Makefile
index dc31d0e..8cc7f9f 100644
--- a/docs/Makefile
+++ b/docs/Makefile
@@ -13,3 +13,4 @@ install:
 	install -m 644 yum.conf.5 $(DESTDIR)/usr/share/man/man5/yum.conf.5
 	install -m 644 yum-updatesd.8 $(DESTDIR)/usr/share/man/man8/yum-updatesd.8
 	install -m 644 yum-updatesd.conf.5 $(DESTDIR)/usr/share/man/man5/yum-updatesd.conf.5
+	install -m 644 yum-cron.8 $(DESTDIR)/usr/share/man/man8
diff --git a/docs/sphinxdocs/Makefile b/docs/sphinxdocs/Makefile
new file mode 100644
index 0000000..623c22b
--- /dev/null
+++ b/docs/sphinxdocs/Makefile
@@ -0,0 +1,130 @@
+# Makefile for Sphinx documentation
+#
+
+# You can set these variables from the command line.
+SPHINXOPTS    =
+SPHINXBUILD   = sphinx-build
+PAPER         =
+BUILDDIR      = _build
+
+# Internal variables.
+PAPEROPT_a4     = -D latex_paper_size=a4
+PAPEROPT_letter = -D latex_paper_size=letter
+ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
+
+.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest
+
+help:
+	@echo "Please use \`make <target>' where <target> is one of"
+	@echo "  html       to make standalone HTML files"
+	@echo "  dirhtml    to make HTML files named index.html in directories"
+	@echo "  singlehtml to make a single large HTML file"
+	@echo "  pickle     to make pickle files"
+	@echo "  json       to make JSON files"
+	@echo "  htmlhelp   to make HTML files and a HTML help project"
+	@echo "  qthelp     to make HTML files and a qthelp project"
+	@echo "  devhelp    to make HTML files and a Devhelp project"
+	@echo "  epub       to make an epub"
+	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
+	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
+	@echo "  text       to make text files"
+	@echo "  man        to make manual pages"
+	@echo "  changes    to make an overview of all changed/added/deprecated items"
+	@echo "  linkcheck  to check all external links for integrity"
+	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
+
+clean:
+	-rm -rf $(BUILDDIR)/*
+
+html:
+	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
+	@echo
+	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
+
+dirhtml:
+	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
+	@echo
+	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."
+
+singlehtml:
+	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
+	@echo
+	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."
+
+pickle:
+	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
+	@echo
+	@echo "Build finished; now you can process the pickle files."
+
+json:
+	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
+	@echo
+	@echo "Build finished; now you can process the JSON files."
+
+htmlhelp:
+	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
+	@echo
+	@echo "Build finished; now you can run HTML Help Workshop with the" \
+	      ".hhp project file in $(BUILDDIR)/htmlhelp."
+
+qthelp:
+	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
+	@echo
+	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
+	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
+	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Yum.qhcp"
+	@echo "To view the help file:"
+	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Yum.qhc"
+
+devhelp:
+	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
+	@echo
+	@echo "Build finished."
+	@echo "To view the help file:"
+	@echo "# mkdir -p $$HOME/.local/share/devhelp/Yum"
+	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Yum"
+	@echo "# devhelp"
+
+epub:
+	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
+	@echo
+	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."
+
+latex:
+	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
+	@echo
+	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
+	@echo "Run \`make' in that directory to run these through (pdf)latex" \
+	      "(use \`make latexpdf' here to do that automatically)."
+
+latexpdf:
+	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
+	@echo "Running LaTeX files through pdflatex..."
+	make -C $(BUILDDIR)/latex all-pdf
+	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."
+
+text:
+	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
+	@echo
+	@echo "Build finished. The text files are in $(BUILDDIR)/text."
+
+man:
+	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
+	@echo
+	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."
+
+changes:
+	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
+	@echo
+	@echo "The overview file is in $(BUILDDIR)/changes."
+
+linkcheck:
+	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
+	@echo
+	@echo "Link check complete; look for any errors in the above output " \
+	      "or in $(BUILDDIR)/linkcheck/output.txt."
+
+doctest:
+	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
+	@echo "Testing of doctests in the sources finished, look at the " \
+	      "results in $(BUILDDIR)/doctest/output.txt."
diff --git a/docs/sphinxdocs/rstgenerator.py b/docs/sphinxdocs/rstgenerator.py
new file mode 100755
index 0000000..4a0bca0
--- /dev/null
+++ b/docs/sphinxdocs/rstgenerator.py
@@ -0,0 +1,222 @@
+#! /usr/bin/python
+
+import sys, re, os
+
+def generateFile(input_directory, file_name, output_directory,
+                 package_heirarchy=None, module_name=None):
+    """Generate a rst file telling sphinx to just generate documentation
+    for the public interface automatically.  Output will be written to
+    *file_name*.rst in the current directory.
+    
+    :param input_directory: a string specifying the directory containing the 
+       source code file
+    :param file_name: the name of the python source code file to generate
+       a sphinx rst file describing
+    :param output_directory: a string specifying the directory where
+       the generated rst file should be placed.  If *output_directory* does
+       not already exist, it will be created
+    :param package_heirarchy: a list of strings, where each name is
+       the name of a package, in the order of the hierarchy
+    :param module_name: the name of the module. If not given, the .py is 
+       removed from *file_name* to produce the module_name
+    """
+    #Stick all output into a list of strings, then just join it and output
+    #it all in on go.
+    output = []
+    
+    # Create the output directory if it doesn't already exist. Note that
+    # if the directory is created between the check and the creation, it 
+    # might cause issues, but I don't think this likely at all to happen
+    if not os.path.exists(output_directory):
+        try:
+            os.makedirs(output_directory)
+        except OSError as e:
+            print "Error creating the output directory"
+            print e.args
+
+    try:
+        #Open the file
+        f = open(os.path.join(input_directory, file_name), 'r')
+    
+        #Do the module output
+        if not module_name:
+            module_name = re.search('(\w+).py$', file_name).group(1)
+
+        #Append the package names, if there are any
+        full_module_name = module_name
+        if package_heirarchy:
+            full_module_name = '.'.join(package_heirarchy) + '.' + module_name
+    
+        output.append(full_module_name)
+        output.append('=' * len(full_module_name))
+        output.append('.. automodule:: %s\n' % full_module_name)
+        
+        #Read the file, and do output for classes
+        class_reg = re.compile('^class (\w+)')
+        func_reg = re.compile('^def ((?:[a-zA-Z0-9]+_)*[a-zA-Z0-9]+)')
+        
+        #We don't need a blank line between autofunction directives, but we do
+        #need one between autofunctions and headings etc. for classes.  This
+        #keeps track if we're switching from autofunctions to classes, so we
+        #can add that blank line.
+        finding_functions = False
+        
+        for line in iter(f):
+            #Search for classes
+            match = class_reg.match(line)
+            if match is not None: 
+                if finding_functions:
+                    output.append('')
+                    finding_functions = False
+                class_name = match.group(1)
+                output.append(class_name)
+                output.append('-' * len(class_name))
+                output.append('''.. autoclass:: %s
+           :members:
+           :show-inheritance:
+        
+           ''' % class_name)
+        
+        
+            #Search for top level functions
+            else:
+                match = func_reg.match(line)
+                if match is not None:
+                    func_name = match.group(1)
+                    output.append('.. autofunction:: ' + func_name)
+                    finding_functions = True
+        f.close()
+
+    except IOError as e:
+        print "Error opening the input file : ", os.path.join(input_directory, file_name)
+        print e.args[1]
+
+    else:
+        #Write the output
+        try:
+            output_file_name = os.path.join(output_directory, module_name) + '.rst'
+            f = open(output_file_name, 'w')
+            f.write('\n'.join(output))
+            
+            
+        except IOError as e:
+            print "Error opening the output file : ", output_file_name
+            print e.args[1]
+
+                
+def generateIndex(module_list, output_directory):
+    """Create an index.rst file for sphinx in the given directory.
+
+    :param module_list: a list of the names of the modules to list in
+       the index file
+    :param output_directory: the directory to create the index file in
+    """
+
+    #Sort the module_list
+    module_list.sort()
+
+    try:
+        #open the file
+        f = open(os.path.join(output_directory, 'index.rst'), 'w')
+    
+        #Do the output
+        f.write(""".. Yum documentation master file, created by
+   sphinx-quickstart on Mon Jun 27 14:01:20 2011.
+   You can adapt this file completely to your liking, but it should at least
+   contain the root `toctree` directive.
+
+Welcome to Yum's documentation!
+===============================
+
+Contents:
+
+.. toctree::
+   :maxdepth: 2
+
+   """)
+        f.write('\n   '.join(module_list))
+        f.write("""
+
+Indices and tables
+==================
+
+* :ref:`genindex`
+* :ref:`modindex`
+* :ref:`search`
+""")
+
+    except IOError as e:
+        print "Error opening the output file."
+        print e.args[1]
+
+
+def generateAll(source_directory, output_directory):
+    #Verify that both the source and output directories exist
+
+
+    # Keep a set of file names that are packages.  This is 
+    # useful so that later we will be able to figure out full
+    # module names.
+    packages = set()
+
+    # Keep a list of tuples containing python module names and
+    # relative paths, so that we can build the index file later
+    modules = []
+
+    # Walk the directory tree
+    for dirpath, dirnames, filenames in os.walk(source_directory, topdown=True):
+        
+        # print dirpath
+        # print dirnames
+        # print filenames
+        # print
+
+        # Add the curent directory to packages if __init__.py exists
+        if '__init__.py' in filenames:
+            packages.add(dirpath)
+
+        # Find the hierarchy of packages that we are currently in
+        package_heirarchy = []
+        #Recurse up to the root
+        dirpath_i = dirpath
+        while dirpath_i != '/':
+            if dirpath_i in packages:
+                dirpath_i, tail = os.path.split(dirpath_i)
+                package_heirarchy.insert(0, tail)
+            else:
+                break
+
+        # Find the relative output directory, mirroring the input
+        # directory structure
+        relative_output_directory = ''
+        if not os.path.samefile(dirpath, source_directory):
+            relative_output_directory = os.path.relpath(dirpath, source_directory)
+        
+        # Don't recurse into directories that are hidden, or for docs
+        for directory in dirnames:
+            if directory == "docs" or directory.startswith("."):
+                dirnames.remove(directory)
+
+        # Generate the rst for a file if it is a python source code file
+        for file_name in filenames:
+            # Skip file names that contain dashes, since they're not
+            # valid module names, so we won't be able to import them
+            # to generate the documentation anyway
+            if '-' in file_name:
+                continue
+
+            if file_name.endswith('.py'):
+                module_name = file_name.partition('.')[0]
+                modules.append(os.path.join(relative_output_directory, 
+                                            module_name))
+                generateFile(dirpath, file_name, 
+                             os.path.join(output_directory, relative_output_directory),
+                             package_heirarchy, module_name)
+
+        
+    
+    # Create the index.rst file
+    generateIndex(modules, output_directory)
+
+if __name__ == "__main__":
+    generateAll(os.getcwd(), os.getcwd())
diff --git a/etc/Makefile b/etc/Makefile
index 29a7f95..7c023af 100644
--- a/etc/Makefile
+++ b/etc/Makefile
@@ -1,4 +1,6 @@
 YUMETC=$(DESTDIR)/etc/yum
+compdir = $(shell pkg-config --variable=completionsdir bash-completion)
+compdir := $(or $(compdir), "/etc/bash_completion.d")
 
 all:
 	echo "Nothing to do"
@@ -8,6 +10,7 @@ clean:
 
 install:
 	mkdir -p $(DESTDIR)/etc/yum/
+	mkdir -p $(DESTDIR)/etc/yum/fssnap.d
 	mkdir -p $(DESTDIR)/etc/yum/protected.d
 	mkdir -p $(DESTDIR)/etc/yum/repos.d
 	mkdir -p $(DESTDIR)/etc/yum/vars
@@ -24,15 +27,10 @@ install:
 
 	mkdir -p $(DESTDIR)/etc/dbus-1/system.d/
 	install -m 755 yum-updatesd-dbus.conf $(DESTDIR)/etc/dbus-1/system.d/yum-updatesd.conf
-
-	install -m 755 yum-updatesd.conf $(DESTDIR)/etc/yum/yum-updatesd.conf
-
-	mkdir -p $(DESTDIR)/etc/bash_completion.d
-	install -m 644 yum.bash $(DESTDIR)/etc/bash_completion.d
-	mkdir -p $(DESTDIR)/etc/cron.daily
-	mkdir -p $(DESTDIR)/etc/sysconfig/
-	install -D -m 755 0yum.cron $(DESTDIR)/etc/cron.daily/0yum.cron
-	install -D -m 755 yum-cron $(DESTDIR)/etc/rc.d/init.d/yum-cron
-	install -D -m 644 yum-daily.yum $(YUMETC)/yum-daily.yum
-	install -D -m 644 yum-weekly.yum $(YUMETC)/yum-weekly.yum
-	install -D -m 644 yum-cron.sysconf $(DESTDIR)/etc/sysconfig/yum-cron
+	install -m 644 yum-updatesd.conf $(YUMETC)
+	mkdir -p $(DESTDIR)/$(compdir)
+	install -m 644 yum.bash $(DESTDIR)/$(compdir)/yum
+	ln -s yum $(DESTDIR)/$(compdir)/yummain.py
+	install -m 644 yum-cron.conf $(YUMETC)
+	install -m 644 yum-cron-security.conf $(YUMETC)
+	install -m 644 yum-cron-hourly.conf $(YUMETC)
diff --git a/etc/yum-cron-hourly.conf b/etc/yum-cron-hourly.conf
new file mode 100644
index 0000000..2a588cd
--- /dev/null
+++ b/etc/yum-cron-hourly.conf
@@ -0,0 +1,79 @@
+[commands]
+#  What kind of update to use:
+# default                            = yum upgrade
+# security                           = yum --security upgrade
+# security-severity:Critical         = yum --sec-severity=Critical upgrade
+# minimal                            = yum --bugfix upgrade-minimal
+# minimal-security                   = yum --security upgrade-minimal
+# minimal-security-severity:Critical =  --sec-severity=Critical upgrade-minimal
+update_cmd = default
+
+# Whether a message should emitted when updates are available.
+update_messages = no
+
+# Whether updates should be downloaded when they are available. Note
+# that updates_messages must also be yes for updates to be downloaded.
+download_updates = no
+
+# Whether updates should be applied when they are available.  Note
+# that both update_messages and download_updates must also be yes for
+# the update to be applied
+apply_updates = no
+
+# Maximum amout of time to randomly sleep, in minutes.  The program
+# will sleep for a random amount of time between 0 and random_sleep
+# minutes before running.  This is useful for e.g. staggering the
+# times that multiple systems will access update servers.  If
+# random_sleep is 0 or negative, the program will run immediately.
+random_sleep = 15
+
+
+[emitters]
+# Name to use for this system in messages that are emitted.  If
+# system_name is None, the hostname will be used.
+system_name = None
+
+# How to send messages.  Valid options are stdio and email.  If
+# emit_via includes stdio, messages will be sent to stdout; this is useful
+# to have cron send the messages.  If emit_via includes email, this
+# program will send email itself according to the configured options.
+# If emit_via is None or left blank, no messages will be sent.
+emit_via = stdio
+
+# The width, in characters, that messages that are emitted should be
+# formatted to.
+output_width = 80
+
+
+[email]
+# The address to send email messages from.
+email_from = root
+
+# List of addresses to send messages to.
+email_to = root
+
+# Name of the host to connect to to send email messages.
+email_host = localhost
+
+
+[groups]
+# List of groups to update
+group_list = None
+
+# The types of group packages to install
+group_package_types = mandatory, default
+
+[base]
+# This section overrides yum.conf
+
+# Use this to filter Yum core messages
+# -4: critical
+# -3: critical+errors
+# -2: critical+errors+warnings (default)
+debuglevel = -2
+
+# skip_broken = True
+mdpolicy = group:main
+
+# Uncomment to auto-import new gpg keys (dangerous)
+# assumeyes = True
diff --git a/etc/yum-cron-security.conf b/etc/yum-cron-security.conf
new file mode 100644
index 0000000..2ddbc6d
--- /dev/null
+++ b/etc/yum-cron-security.conf
@@ -0,0 +1,82 @@
+[commands]
+#  What kind of update to use:
+# default                            = yum upgrade
+# security                           = yum --security upgrade
+# security-severity:Critical         = yum --sec-severity=Critical upgrade
+# minimal                            = yum --bugfix upgrade-minimal
+# minimal-security                   = yum --security upgrade-minimal
+# minimal-security-severity:Critical =  --sec-severity=Critical upgrade-minimal
+update_cmd = security
+
+# Whether a message should emitted when updates are available.
+update_messages = yes
+
+# Whether updates should be downloaded when they are available. Note
+# that updates_messages must also be yes for updates to be downloaded.
+download_updates = yes
+
+# Whether updates should be applied when they are available.  Note
+# that both update_messages and download_updates must also be yes for
+# the update to be applied
+apply_updates = yes
+
+# Maximum amout of time to randomly sleep, in minutes.  The program
+# will sleep for a random amount of time between 0 and random_sleep
+# minutes before running.  This is useful for e.g. staggering the
+# times that multiple systems will access update servers.  If
+# random_sleep is 0 or negative, the program will run immediately.
+#  NOTE this runs after yum-cron-daily, if that is installed,
+# so we will have already waited for that (default 2 hours, 120 mins).
+# Also security updates should be smaller than all updates, anyway.
+random_sleep = 60
+
+
+[emitters]
+# Name to use for this system in messages that are emitted.  If
+# system_name is None, the hostname will be used.
+system_name = None
+
+# How to send messages.  Valid options are stdio and email.  If
+# emit_via includes stdio, messages will be sent to stdout; this is useful
+# to have cron send the messages.  If emit_via includes email, this
+# program will send email itself according to the configured options.
+# If emit_via is None or left blank, no messages will be sent.
+emit_via = stdio
+
+# The width, in characters, that messages that are emitted should be
+# formatted to.
+output_width = 80
+
+
+[email]
+# The address to send email messages from.
+email_from = root
+
+# List of addresses to send messages to.
+email_to = root
+
+# Name of the host to connect to to send email messages.
+email_host = localhost
+
+
+[groups]
+# List of groups to update
+group_list = None
+
+# The types of group packages to install
+group_package_types = mandatory, default
+
+[base]
+# This section overrides yum.conf
+
+# Use this to filter Yum core messages
+# -4: critical
+# -3: critical+errors
+# -2: critical+errors+warnings (default)
+debuglevel = -2
+
+# skip_broken = True
+mdpolicy = group:main
+
+# Uncomment to auto-import new gpg keys (dangerous)
+# assumeyes = True
diff --git a/etc/yum-cron.conf b/etc/yum-cron.conf
new file mode 100644
index 0000000..960fcc9
--- /dev/null
+++ b/etc/yum-cron.conf
@@ -0,0 +1,82 @@
+[commands]
+#  What kind of update to use:
+# default                            = yum upgrade
+# security                           = yum --security upgrade
+# security-severity:Critical         = yum --sec-severity=Critical upgrade
+# minimal                            = yum --bugfix upgrade-minimal
+# minimal-security                   = yum --security upgrade-minimal
+# minimal-security-severity:Critical =  --sec-severity=Critical upgrade-minimal
+update_cmd = default
+
+# Whether a message should be emitted when updates are available,
+# were downloaded, or applied.
+update_messages = yes
+
+# Whether updates should be downloaded when they are available.
+download_updates = yes
+
+# Whether updates should be applied when they are available.  Note
+# that download_updates must also be yes for the update to be applied.
+apply_updates = no
+
+# Maximum amout of time to randomly sleep, in minutes.  The program
+# will sleep for a random amount of time between 0 and random_sleep
+# minutes before running.  This is useful for e.g. staggering the
+# times that multiple systems will access update servers.  If
+# random_sleep is 0 or negative, the program will run immediately.
+#  NOTE that we hold up all the other things in cron.daily as we wait,
+# so while waiting for 6+ hours is fine for us it might not be nice
+# for logrotate (so wait for 2 hours by default).
+random_sleep = 120
+
+
+[emitters]
+# Name to use for this system in messages that are emitted.  If
+# system_name is None, the hostname will be used.
+system_name = None
+
+# How to send messages.  Valid options are stdio and email.  If
+# emit_via includes stdio, messages will be sent to stdout; this is useful
+# to have cron send the messages.  If emit_via includes email, this
+# program will send email itself according to the configured options.
+# If emit_via is None or left blank, no messages will be sent.
+emit_via = stdio
+
+# The width, in characters, that messages that are emitted should be
+# formatted to.
+output_width = 80
+
+
+[email]
+# The address to send email messages from.
+email_from = root@localhost
+
+# List of addresses to send messages to.
+email_to = root
+
+# Name of the host to connect to to send email messages.
+email_host = localhost
+
+
+[groups]
+# NOTE: This only works when group_command != objects, which is now the default
+# List of groups to update
+group_list = None
+
+# The types of group packages to install
+group_package_types = mandatory, default
+
+[base]
+# This section overrides yum.conf
+
+# Use this to filter Yum core messages
+# -4: critical
+# -3: critical+errors
+# -2: critical+errors+warnings (default)
+debuglevel = -2
+
+# skip_broken = True
+mdpolicy = group:main
+
+# Uncomment to auto-import new gpg keys (dangerous)
+# assumeyes = True
diff --git a/etc/yum-makecache.service b/etc/yum-makecache.service
new file mode 100644
index 0000000..b4434ea
--- /dev/null
+++ b/etc/yum-makecache.service
@@ -0,0 +1,9 @@
+[Unit]
+Description=yum makecache
+
+[Service]
+Type=oneshot
+Nice=19
+IOSchedulingClass=2
+IOSchedulingPriority=7
+ExecStart=/usr/bin/yum makecache fast
diff --git a/etc/yum-makecache.timer b/etc/yum-makecache.timer
new file mode 100644
index 0000000..02fb5a2
--- /dev/null
+++ b/etc/yum-makecache.timer
@@ -0,0 +1,11 @@
+[Unit]
+Description=yum makecache timer
+ConditionKernelCommandLine=!rd.live.image
+
+[Timer]
+OnBootSec=10min
+OnUnitInactiveSec=1h
+Unit=yum-makecache.service
+
+[Install]
+WantedBy=basic.target
